@import url('https://fonts.googleapis.com/css2?family=Azeret+Mono&family=Inter:wght@400;500;600&family=Noto+Serif+JP:wght@200&display=swap');

:root {
    --font-family: 'Azeret Mono', monospace;

    --color-dark: black;
    --color-dark-gray: #333;
    --color-gray: #ccc;
    --color-bright: white;

    --color-primary: var(--color-dark);

    --link-decoration-color: var(--color-primary);

    --base-font-size: 2rem;
    --base-font-weight: 500;
    --base-line-height: 1.5;
    --base-color: var(--color-dark);


    --heading-font-size: 4rem;
    --heading-font-weight: 500;
    --heading-letter-spacing: -0.05rem;



    --heading-color: currentColor;
    --heading-line-height: 1.25;
    --heading-margin: 0 0 2rem;

    --wrap-gap: 2rem;

    --link-color: currentColor;
    --link-text-decoration: none;

    --header-menu-font-size: 4rem;

    --heading-font-size-h1: 4rem;

    --hamburger-line-color: var(--color-dark);

  }



  @media(min-width: 48em) {
    :root {
      --base-font-size: 3rem;
      --wrap-gap: 4rem;
      --header-menu-font-size: 10rem;
      --heading-font-size-h1: 10rem;
    }
  }

  *, :after, :before {
    box-sizing: inherit;
  }


html {
    font-size: 62.5%;
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    text-size-adjust: none;
    scroll-behavior: smooth;
}

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    font-family: var(--font-family);
    font-weight: var(--base-font-weight);
    line-height: var(--base-line-height);
    font-size: var(--base-font-size);
    color: var(--base-color);
    box-sizing: border-box;
    background-color: var(--bg-color);
    hyphens: auto;
}

.page--dark {
    --bg-color: var(--color-dark);
    --base-color: var(--color-bright);
    --hamburger-line-color: currentColor;
}

h1,.h1,
h2,.h2,
h3,.h3,
h4,.h4,
h5,.h5 {
  font-family: var(--heading-font-family);
  font-weight: var(--heading-font-weight);
  line-height: var(--heading-line-height);
  letter-spacing: var(--heading-letter-spacing);
  font-size: var(--heading-font-size);
  margin: var(--heading-margin);
  color: var(--heading-color);
}

h1,.h1 {
    font-size: var(--heading-font-size-h1);
}

p {
    margin-block-start: 0;
    margin-block-end: 1.6em;
}

html,
body {
    width: 100%;
    position: absolute;
    height: 100%;
    margin: 0;
}


img {
    object-fit: cover;
    max-width: 100%;
    display: block;
}

.bigger {
  font-size: 1.5em;
  word-break: auto-phrase;
}

#panorama {
    width: 100%;
    height: 100%;
}

#menu {

}

.hide {
  display: none;
}

details,
details summary {
    padding-left: 0;
    background-image: none;
    -webkit-appearance: none;
}

.header {
    position: absolute;
    flex-direction: row-reverse;
    left: 0;
    right: 0;
    top: 0;
    z-index: 1;
    display: flex;
    /*align-items: center;*/
    justify-content: space-between;
    padding: calc(  var(--wrap-gap) / 2 ) var(--wrap-gap);
    line-height: 1;
    gap: 4rem;
    mix-blend-mode: var(--header-mix-blend-mode, difference);
}

.header:has( [open] ){
  --header-mix-blend-mode: none;
}

.header__logo {
    display: block;
    margin: 0;
    z-index: 2;
    position: relative;
    line-height: 1;
    text-decoration: none;
    text-transform: uppercase;
}
.header__logo a:hover {
    text-decoration: none !important;
}

[open] + .header__logo {
    color: var(--color-bright);
}

.header__navs {
    color: var(--color-bright);
}

.content__header {
    text-transform: uppercase;
}

.header__content {
    position: fixed;
    inset: 0;
    background: black;
    display: grid;
    padding: 35vh var(--wrap-gap)
}

.header__menu {
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: var(--header-menu-font-size);
    letter-spacing: -.01rem;
    line-height: 1.138613861;
    text-transform: uppercase;
}

.hamburger {
    position: relative;
    z-index: 2;
    width: 3.8rem;
    gap: 1rem;
    display: grid;
}

.hamburger__line {
    width: 100%;
    display: block;
    height: 0.4rem;
    background: var(--hamburger-line-color,currentColor);
    transform-origin: center;
    transition: transform .5s, opacity .5s;
}

[open] .hamburger__line {
    opacity: 0;
    --hamburger-line-color: var(--color-bright);
}

[open] .hamburger__line:first-child {
    opacity: 1;
    transform-origin: bottom left;
    transform: rotate(45deg);
}

[open] .hamburger__line:last-child {
    opacity: 1;
    transform-origin: top left;
    transform: rotate(-45deg);
}




::-webkit-details-marker {
    display:none;
  }

details,
details summary {
    list-style: none;
    padding-left:0;
    background-image:none;
    -webkit-appearance:none;
}


.link,
button,
a {
  color: var(--link-color, inherit);
  text-decoration: var(--link-text-decoration, underline);
  transition: color var(--animation-duration) var(--animation-ease);
  will-change: color;
}

.action {
  text-transform: uppercase;
}

a:hover,
.active {
    --link-text-decoration: underline;
}

.footer {
    z-index: 1;
    position: absolute;
    left: 0;
    bottom: 0;
    max-width: calc(100% - 10rem);
    padding: var(--wrap-gap);
    pointer-events: none;
    word-break: auto-phrase;
}

.uppercase {
    text-transform: uppercase;
}

.more {
  margin-block-start: 0;
  margin-block-end: 1.6em;
}

.more[open] {
    --more-action-display: none;
}

.more__action {
    display: var(--more-action-display);
    text-decoration: underline;
    margin-block-end: 1.6em;
    font-weight: 600;
    text-transform: uppercase;
    cursor: pointer;
}

.iframe {
    margin-block-start: 0;
    margin-block-end: 1.6em;
}

.iframe--soundcloud {
    max-width: 66rem;
}

.content__copy {
  padding-bottom: 25rem;
}
